Retrieve an invoice payment
Retrieves one payment made on an invoice.
Retrieves one payment made on an invoice.
Authorization
api-key AuthorizationBearer <token>
API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Path Parameters
id*string
Invoice payment ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/invoice-payments/string"{ "id": "inpay_3Nf8a2kLmPq9", "object": "invoice_payment", "invoiceId": "string", "status": "open", "amountRequested": -9007199254740991, "amountPaid": -9007199254740991, "amountRefunded": -9007199254740991, "currency": "EGP", "payment": { "type": "payment_intent", "paymentIntentId": "string", "checkoutSessionId": "string", "paymentRecord": { "method": "cash", "reference": "string", "note": "string" } }, "statusTransitions": { "paidAt": "string", "canceledAt": "string" }, "installmentId": "string", "receiptNumber": "string", "receiptUrl": "string", "merchantId": "string", "createdAt": "string", "updatedAt": "string"}